package com.lee.call.work;

import android.media.AudioFormat;

public class AudioParam {

	/*
	 * quality 1 : 4kbps (very noticeable artifacts, usually intelligible) 2 :
	 * 6kbps (very noticeable artifacts, good intelligibility) 4 : 8kbps
	 * (noticeable artifacts sometimes) 6 : 11kpbs (artifacts usually only
	 * noticeable with headphones) 8 : 15kbps (artifacts not usually noticeable)
	 */
	public static final int QUALITY = 10;
	public static final int HZ_8000 = 8000;
	public static final int HZ_11025 = 11025;
	public static final int HZ_22050 = 22050;
	public static final int HZ_44100 = 44100;
	public static final int sampleRateInHz = HZ_8000;
	public static final int FRAME_SIZE = 160;
	public static final int FRAME_SIZE_IN_SHORTS = FRAME_SIZE;
	public static final int FRAME_SIZE_IN_BYTES = FRAME_SIZE << 1;
	public static final int channelInConfig = AudioFormat.CHANNEL_CONFIGURATION_MONO;
	public static final int channelOutConfig = AudioFormat.CHANNEL_CONFIGURATION_MONO;
	public static final int audioFormat = AudioFormat.ENCODING_PCM_16BIT;

	public static boolean testlocal = true;
	public static boolean uselib = true;

	private static final int[] encodedSizes = { 6, 10, 15, 20, 20, 28, 28, 38,
			38, 46, 62 };

	public static int getDefaultQuality() {
		return encodedSizes[QUALITY];
	}

}
