package com.lee.call.work;

import android.content.Context;
import android.media.AudioManager;

import com.lee.speex.jni.Speex;

public class WorkManager {

	private Recorder recorder;
	private Player player;

	public WorkManager(Context context, String ip) {
		super();
		AudioManager audioManager = (AudioManager) context
				.getSystemService(Context.AUDIO_SERVICE);
		// 把模式调成听筒放音模式
		audioManager.setMode(AudioManager.MODE_IN_CALL);
		Speex.open(AudioParam.getDefaultQuality());
		Speex.preprocess(AudioParam.sampleRateInHz);
		recorder = new Recorder(ip);
		player = new Player();
	}

	public void stopWork() {
		recorder.setRunning(false);
		player.setRunning(false);
	}

}
